package com.steering.pss.sale.order.model;

/**
 * 数据库表CRAFT_FILE_LV2所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2016-07-04
 */
@SuppressWarnings("serial")
public class CraftFileLv2Entity implements java.io.Serializable {
    /**
     * 二级工艺文件主键
     */
    private String pk = "";
    /**
     * 二级工艺文件号
     */
    private String craftNoLv2 = "";
    /**
     * 工序代码(大工序)
     */
    private String processCode = "";
    /**
     * 工序名称(大工序)
     */
    private String processDesc = "";
    /**
     * 适用产线代码集合
     */
    private String plineCode = "";
    /**
     * 适用产线描述集合
     */
    private String plineName = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    private String craftPath = "";
    private String msc = "";
    private String memo = "";
	

	/**
     * 二级工艺文件主键
     * @return value
     */
    public String getPk() {
        return pk;
    }

    /**
     * 二级工艺文件主键
* @param pk value
     */
    public void setPk(String pk) {
    this.pk = pk;
    }

    /**
     * 二级工艺文件号
     * @return value
     */
    public String getCraftNoLv2() {
        return craftNoLv2;
    }

    /**
     * 二级工艺文件号
* @param craftNoLv2 value
     */
    public void setCraftNoLv2(String craftNoLv2) {
    this.craftNoLv2 = craftNoLv2;
    }

    /**
     * 工序代码(大工序)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(大工序)
* @param processCode value
     */
    public void setProcessCode(String processCode) {
    this.processCode = processCode;
    }

    /**
     * 工序名称(大工序)
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称(大工序)
* @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
    this.processDesc = processDesc;
    }

    /**
     * 适用产线代码集合
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 适用产线代码集合
* @param plineCode value
     */
    public void setPlineCode(String plineCode) {
    this.plineCode = plineCode;
    }

    /**
     * 适用产线描述集合
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 适用产线描述集合
* @param plineName value
     */
    public void setPlineName(String plineName) {
    this.plineName = plineName;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
* @param createName value
     */
    public void setCreateName(String createName) {
    this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
* @param createTime value
     */
    public void setCreateTime(String createTime) {
    this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
* @param updateName value
     */
    public void setUpdateName(String updateName) {
    this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
* @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
    this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
* @param deleteName value
     */
    public void setDeleteName(String deleteName) {
    this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
* @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
         this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
* @param validflag value
     */
    public void setValidflag(String validflag) {
    	this.validflag = validflag;
    }
    
    public String getCraftPath() {
		return craftPath;
	}

	public void setCraftPath(String craftPath) {
		this.craftPath = craftPath;
	}
	
	public String getMsc() {
		return msc;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}
	
	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
}
